/**
 * @license Angular v4.0.0-beta.8
 * (c) 2010-2017 Google, Inc. https://angular.io/
 * License: MIT
 */
!function(global,factory){"object"==typeof exports&&"undefined"!=typeof module?factory(exports,require("@angular/core")):"function"==typeof define&&define.amd?define(["exports","@angular/core"],factory):factory((global.ng=global.ng||{},global.ng.animation=global.ng.animation||{}),global.ng.core)}(this,function(exports,_angular_core){"use strict";function makeBooleanMap(keys){var map={};return keys.forEach(function(key){return map[key]=!0}),map}function dashCaseToCamelCase(input){return input.replace(DASH_CASE_REGEXP,function(){for(var m=[],_i=0;_i<arguments.length;_i++)m[_i]=arguments[_i];return m[1].toUpperCase()})}function getOrSetAsInMap(map,key,defaultValue){var value=map.get(key);return value||map.set(key,value=defaultValue),value}function deleteFromArrayMap(map,key,value){var arr=map.get(key);if(arr){var index=arr.indexOf(value);index>=0&&(arr.splice(index,1),0==arr.length&&map.delete(key))}}function setStyles(element,styles){Object.keys(styles).forEach(function(prop){element.style[prop]=styles[prop]})}function eraseStyles(element,styles){Object.keys(styles).forEach(function(prop){element.style[prop]=""})}function optimizeGroupPlayer(players){return 1==players.length?players[0]:new AnimationGroupPlayer(players)}function copyArray(source){return source?source.splice(0):[]}function remove(element){element.parentNode.removeChild(element)}function _computeStyle(element,prop){return window.getComputedStyle(element)[prop]}function _copyKeyframeStyles(styles){var newStyles={};return Object.keys(styles).forEach(function(prop){"offset"!=prop&&(newStyles[prop]=styles[prop])}),newStyles}function supportsWebAnimations(){return"undefined"!=typeof Element&&"function"==typeof Element.prototype.animate}function resolveDefaultAnimationDriver(){return supportsWebAnimations()?new WebAnimationsDriver:new NoOpAnimationDriver}function parseTimeExpression(exp,errors){var duration,regex=/^([\.\d]+)(m?s)(?:\s+([\.\d]+)(m?s))?(?:\s+([-a-z]+(?:\(.+?\))?))?$/i,delay=0,easing=null;if("string"==typeof exp){var matches=exp.match(regex);if(null===matches)return errors.push('The provided timing value "'+exp+'" is invalid.'),{duration:0,delay:0,easing:null};var durationMatch=parseFloat(matches[1]),durationUnit=matches[2];"s"==durationUnit&&(durationMatch*=ONE_SECOND),duration=Math.floor(durationMatch);var delayMatch=matches[3],delayUnit=matches[4];if(null!=delayMatch){var delayVal=parseFloat(delayMatch);null!=delayUnit&&"s"==delayUnit&&(delayVal*=ONE_SECOND),delay=Math.floor(delayVal)}var easingVal=matches[5];easingVal&&(easing=easingVal)}else duration=exp;return{duration:duration,delay:delay,easing:easing}}function normalizeStyles(styles){var normalizedStyles={};return styles.styles.forEach(function(styleMap){return copyStyles(styleMap,!1,normalizedStyles)}),normalizedStyles}function copyStyles(styles,readPrototype,destination){if(void 0===destination&&(destination={}),readPrototype)for(var prop in styles)destination[prop]=styles[prop];else Object.keys(styles).forEach(function(prop){return destination[prop]=styles[prop]});return destination}function animate(timings,styles){return void 0===styles&&(styles=null),{type:4,styles:styles,timings:timings}}function group(steps){return{type:3,steps:steps}}function sequence(steps){return{type:2,steps:steps}}function style(tokens){var input,offset=null;return input=Array.isArray(tokens)?tokens:[tokens],input.forEach(function(entry){var entryOffset=entry.offset;null!=entryOffset&&(offset=null==offset?parseFloat(entryOffset):offset)}),_style(offset,input)}function _style(offset,styles){return{type:6,styles:styles,offset:offset}}function state(name,styles){return{type:0,name:name,styles:styles}}function keyframes(steps){return{type:5,steps:steps}}function transition(stateChangeExpr,steps){return{type:1,expr:stateChangeExpr,animation:Array.isArray(steps)?sequence(steps):steps}}function visitAnimationNode(visitor,node,context){switch(node.type){case 0:return visitor.visitState(node,context);case 1:return visitor.visitTransition(node,context);case 2:return visitor.visitSequence(node,context);case 3:return visitor.visitGroup(node,context);case 4:return visitor.visitAnimate(node,context);case 5:return visitor.visitKeyframeSequence(node,context);case 6:return visitor.visitStyle(node,context);default:throw new Error("Unable to resolve animation metadata node #"+node.type)}}function createTimelineInstruction(keyframes,duration,delay,easing){return{type:1,keyframes:keyframes,duration:duration,delay:delay,easing:easing}}function buildAnimationKeyframes(ast,startingStyles,finalStyles){void 0===startingStyles&&(startingStyles={}),void 0===finalStyles&&(finalStyles={});var normalizedAst=Array.isArray(ast)?sequence(ast):ast;return(new AnimationTimelineVisitor).buildKeyframes(normalizedAst,startingStyles,finalStyles)}function validateAnimationSequence(ast){return(new AnimationValidatorVisitor).validate(ast)}function parseTransitionExpr(transitionValue,errors){var expressions=[];return"string"==typeof transitionValue?transitionValue.split(/\s*,\s*/).forEach(function(str){return parseInnerTransitionStr(str,expressions,errors)}):expressions.push(transitionValue),expressions}function parseInnerTransitionStr(eventStr,expressions,errors){":"==eventStr[0]&&(eventStr=parseAnimationAlias(eventStr,errors));var match=eventStr.match(/^(\*|[-\w]+)\s*(<?[=-]>)\s*(\*|[-\w]+)$/);if(null==match||match.length<4)return errors.push('The provided transition expression "'+eventStr+'" is not supported'),expressions;var fromState=match[1],separator=match[2],toState=match[3];expressions.push(makeLambdaFromStates(fromState,toState));var isFullAnyStateExpr=fromState==ANY_STATE&&toState==ANY_STATE;"<"!=separator[0]||isFullAnyStateExpr||expressions.push(makeLambdaFromStates(toState,fromState))}function parseAnimationAlias(alias,errors){switch(alias){case":enter":return"void => *";case":leave":return"* => void";default:return errors.push('The transition alias value "'+alias+'" is not supported'),"* => *"}}function makeLambdaFromStates(lhs,rhs){return function(fromState,toState){var lhsMatch=lhs==ANY_STATE||lhs==fromState,rhsMatch=rhs==ANY_STATE||rhs==toState;return lhsMatch&&rhsMatch}}function createTransitionInstruction(triggerName,isRemovalTransition,fromStyles,toStyles,timelines){return{type:0,triggerName:triggerName,isRemovalTransition:isRemovalTransition,fromStyles:fromStyles,toStyles:toStyles,timelines:timelines}}function oneOrMoreTransitionsMatch(matchFns,currentState,nextState){return matchFns.some(function(fn){return fn(currentState,nextState)})}function trigger(name,definitions){return(new AnimationTriggerVisitor).buildTrigger(name,definitions)}/**
     * @license
     * Copyright Google Inc. All Rights Reserved.
     *
     * Use of this source code is governed by an MIT-style license that can be
     * found in the LICENSE file at https://angular.io/license
     * @abstract
     */
var AnimationStyleNormalizer=function(){function AnimationStyleNormalizer(){}return AnimationStyleNormalizer.prototype.normalizePropertyName=function(propertyName,errors){},AnimationStyleNormalizer.prototype.normalizeStyleValue=function(userProvidedProperty,normalizedProperty,value,errors){},AnimationStyleNormalizer}(),__extends=this&&this.__extends||function(d,b){function __(){this.constructor=d}for(var p in b)b.hasOwnProperty(p)&&(d[p]=b[p]);d.prototype=null===b?Object.create(b):(__.prototype=b.prototype,new __)},WebAnimationsStyleNormalizer=function(_super){function WebAnimationsStyleNormalizer(){return null!==_super&&_super.apply(this,arguments)||this}return __extends(WebAnimationsStyleNormalizer,_super),WebAnimationsStyleNormalizer.prototype.normalizePropertyName=function(propertyName,errors){return dashCaseToCamelCase(propertyName)},WebAnimationsStyleNormalizer.prototype.normalizeStyleValue=function(userProvidedProperty,normalizedProperty,value,errors){var unit="",strVal=value.toString().trim();if(DIMENSIONAL_PROP_MAP[normalizedProperty]&&0!==value&&"0"!==value)if("number"==typeof value)unit="px";else{var valAndSuffixMatch=value.match(/^[+-]?[\d\.]+([a-z]*)$/);valAndSuffixMatch&&0==valAndSuffixMatch[1].length&&errors.push("Please provide a CSS unit value for "+userProvidedProperty+":"+value)}return strVal+unit},WebAnimationsStyleNormalizer}(AnimationStyleNormalizer),DIMENSIONAL_PROP_MAP=makeBooleanMap("width,height,minWidth,minHeight,maxWidth,maxHeight,left,top,bottom,right,fontSize,outlineWidth,outlineOffset,paddingTop,paddingLeft,paddingBottom,paddingRight,marginTop,marginLeft,marginBottom,marginRight,borderRadius,borderWidth,borderTopWidth,borderLeftWidth,borderRightWidth,borderBottomWidth,textIndent".split(",")),DASH_CASE_REGEXP=/-+([a-z0-9])/g,AnimationGroupPlayer=_angular_core.__core_private__.AnimationGroupPlayer,NoOpAnimationPlayer=_angular_core.__core_private__.NoOpAnimationPlayer,TransitionEngine=_angular_core.__core_private__.TransitionEngine,NoOpAnimationDriver=function(){function NoOpAnimationDriver(){}return NoOpAnimationDriver.prototype.animate=function(element,keyframes,duration,delay,easing,previousPlayers){return void 0===previousPlayers&&(previousPlayers=[]),new NoOpAnimationPlayer},NoOpAnimationDriver}(),AnimationDriver=function(){function AnimationDriver(){}return AnimationDriver}();AnimationDriver.NOOP=new NoOpAnimationDriver;var __extends$1=this&&this.__extends||function(d,b){function __(){this.constructor=d}for(var p in b)b.hasOwnProperty(p)&&(d[p]=b[p]);d.prototype=null===b?Object.create(b):(__.prototype=b.prototype,new __)},DomAnimationTransitionEngine=function(_super){function DomAnimationTransitionEngine(_driver,_normalizer){var _this=_super.call(this)||this;return _this._driver=_driver,_this._normalizer=_normalizer,_this._flaggedInserts=new Set,_this._queuedRemovals=[],_this._queuedAnimations=[],_this._activeElementAnimations=new Map,_this._activeTransitionAnimations=new Map,_this}return __extends$1(DomAnimationTransitionEngine,_super),DomAnimationTransitionEngine.prototype.insertNode=function(container,element){container.appendChild(element),this._flaggedInserts.add(element)},DomAnimationTransitionEngine.prototype.removeNode=function(element){this._queuedRemovals.push(element)},DomAnimationTransitionEngine.prototype.process=function(element,instructions){var _this=this,players=instructions.map(function(instruction){return 0==instruction.type?_this._handleTransitionAnimation(element,instruction):1==instruction.type?_this._handleTimelineAnimation(element,instruction,[]):new NoOpAnimationPlayer});return optimizeGroupPlayer(players)},DomAnimationTransitionEngine.prototype._handleTransitionAnimation=function(element,instruction){var previousPlayers,_this=this,triggerName=instruction.triggerName,elmTransitionMap=getOrSetAsInMap(this._activeTransitionAnimations,element,{});if(instruction.isRemovalTransition)previousPlayers=copyArray(this._activeElementAnimations.get(element));else{previousPlayers=[];var existingPlayer=elmTransitionMap[triggerName];existingPlayer&&previousPlayers.push(existingPlayer)}eraseStyles(element,instruction.fromStyles);var players=instruction.timelines.map(function(timelineInstruction){return _this._buildPlayer(element,timelineInstruction,previousPlayers)});previousPlayers.forEach(function(previousPlayer){return previousPlayer.destroy()});var player=optimizeGroupPlayer(players);return player.onDone(function(){player.destroy();var elmTransitionMap=_this._activeTransitionAnimations.get(element);elmTransitionMap&&(delete elmTransitionMap[triggerName],0==Object.keys(elmTransitionMap).length&&_this._activeTransitionAnimations.delete(element)),deleteFromArrayMap(_this._activeElementAnimations,element,player),setStyles(element,instruction.toStyles)}),this._queuePlayer(element,player),elmTransitionMap[triggerName]=player,player},DomAnimationTransitionEngine.prototype._handleTimelineAnimation=function(element,instruction,previousPlayers){var _this=this,player=this._buildPlayer(element,instruction,previousPlayers);return player.onDestroy(function(){deleteFromArrayMap(_this._activeElementAnimations,element,player)}),this._queuePlayer(element,player),player},DomAnimationTransitionEngine.prototype._buildPlayer=function(element,instruction,previousPlayers){return this._driver.animate(element,this._normalizeKeyframes(instruction.keyframes),instruction.duration,instruction.delay,instruction.easing,previousPlayers)},DomAnimationTransitionEngine.prototype._normalizeKeyframes=function(keyframes){var _this=this,errors=[],normalizedKeyframes=[];if(keyframes.forEach(function(kf){var normalizedKeyframe={};Object.keys(kf).forEach(function(prop){var normalizedProp=prop,normalizedValue=kf[prop];"offset"!=prop&&(normalizedProp=_this._normalizer.normalizePropertyName(prop,errors),normalizedValue=_this._normalizer.normalizeStyleValue(prop,normalizedProp,kf[prop],errors)),normalizedKeyframe[normalizedProp]=normalizedValue}),normalizedKeyframes.push(normalizedKeyframe)}),errors.length){var LINE_START="\n - ";throw new Error("Unable to animate due to the following errors:"+LINE_START+errors.join(LINE_START))}return normalizedKeyframes},DomAnimationTransitionEngine.prototype._queuePlayer=function(element,player){var tuple={element:element,player:player};this._queuedAnimations.push(tuple),player.init();var elementAnimations=getOrSetAsInMap(this._activeElementAnimations,element,[]);elementAnimations.push(player)},DomAnimationTransitionEngine.prototype.triggerAnimations=function(){for(var _this=this;this._queuedAnimations.length;){var _a=this._queuedAnimations.shift(),player=_a.player;_a.element;player.hasStarted()||player.play()}this._queuedRemovals.forEach(function(element){if(!_this._flaggedInserts.has(element)){for(var players,parent=element;parent=parent.parentNode;){var match=_this._activeElementAnimations.get(parent);if(match){players=match;break}}players?optimizeGroupPlayer(players).onDone(function(){return remove(element)}):element.parentNode&&remove(element)}}),this._queuedRemovals=[],this._flaggedInserts.clear()},DomAnimationTransitionEngine}(TransitionEngine);DomAnimationTransitionEngine.decorators=[{type:_angular_core.Injectable}],DomAnimationTransitionEngine.ctorParameters=function(){return[{type:AnimationDriver},{type:AnimationStyleNormalizer}]};var WebAnimationsPlayer=function(){function WebAnimationsPlayer(element,keyframes,options,previousPlayers){void 0===previousPlayers&&(previousPlayers=[]);var _this=this;this.element=element,this.keyframes=keyframes,this.options=options,this._onDoneFns=[],this._onStartFns=[],this._onDestroyFns=[],this._initialized=!1,this._finished=!1,this._started=!1,this._destroyed=!1,this.time=0,this.parentPlayer=null,this._duration=options.duration,this._delay=options.delay||0,this.time=this._duration+this._delay,this.previousStyles={},previousPlayers.forEach(function(player){var styles=player._captureStyles();Object.keys(styles).forEach(function(prop){return _this.previousStyles[prop]=styles[prop]})})}return WebAnimationsPlayer.prototype._onFinish=function(){this._finished||(this._finished=!0,this._onDoneFns.forEach(function(fn){return fn()}),this._onDoneFns=[])},WebAnimationsPlayer.prototype.init=function(){var _this=this;if(!this._initialized){this._initialized=!0;var keyframes=this.keyframes.map(function(styles){var formattedKeyframe={};return Object.keys(styles).forEach(function(prop,index){var value=styles[prop];value==_angular_core.AUTO_STYLE&&(value=_computeStyle(_this.element,prop)),void 0!=value&&(formattedKeyframe[prop]=value)}),formattedKeyframe}),previousStyleProps=Object.keys(this.previousStyles);if(previousStyleProps.length){var startingKeyframe_1=keyframes[0],missingStyleProps_1=[];if(previousStyleProps.forEach(function(prop){null!=startingKeyframe_1[prop]&&missingStyleProps_1.push(prop),startingKeyframe_1[prop]=_this.previousStyles[prop]}),missingStyleProps_1.length)for(var _loop_1=function(i){var kf=keyframes[i];missingStyleProps_1.forEach(function(prop){kf[prop]=_computeStyle(_this.element,prop)})},i=1;i<keyframes.length;i++)_loop_1(i)}this._player=this._triggerWebAnimation(this.element,keyframes,this.options),this._finalKeyframe=_copyKeyframeStyles(keyframes[keyframes.length-1]),this._resetDomPlayerState(),this._player.addEventListener("finish",function(){return _this._onFinish()})}},WebAnimationsPlayer.prototype._triggerWebAnimation=function(element,keyframes,options){return element.animate(keyframes,options)},Object.defineProperty(WebAnimationsPlayer.prototype,"domPlayer",{get:function(){return this._player},enumerable:!0,configurable:!0}),WebAnimationsPlayer.prototype.onStart=function(fn){this._onStartFns.push(fn)},WebAnimationsPlayer.prototype.onDone=function(fn){this._onDoneFns.push(fn)},WebAnimationsPlayer.prototype.onDestroy=function(fn){this._onDestroyFns.push(fn)},WebAnimationsPlayer.prototype.play=function(){this.init(),this.hasStarted()||(this._onStartFns.forEach(function(fn){return fn()}),this._onStartFns=[],this._started=!0),this._player.play()},WebAnimationsPlayer.prototype.pause=function(){this.init(),this._player.pause()},WebAnimationsPlayer.prototype.finish=function(){this.init(),this._onFinish(),this._player.finish()},WebAnimationsPlayer.prototype.reset=function(){this._resetDomPlayerState(),this._destroyed=!1,this._finished=!1,this._started=!1},WebAnimationsPlayer.prototype._resetDomPlayerState=function(){this._player&&this._player.cancel()},WebAnimationsPlayer.prototype.restart=function(){this.reset(),this.play()},WebAnimationsPlayer.prototype.hasStarted=function(){return this._started},WebAnimationsPlayer.prototype.destroy=function(){this._destroyed||(this._resetDomPlayerState(),this._onFinish(),this._destroyed=!0,this._onDestroyFns.forEach(function(fn){return fn()}),this._onDestroyFns=[])},WebAnimationsPlayer.prototype.setPosition=function(p){this._player.currentTime=p*this.time},WebAnimationsPlayer.prototype.getPosition=function(){return this._player.currentTime/this.time},WebAnimationsPlayer.prototype._captureStyles=function(){var _this=this,styles={};return this.hasStarted()&&Object.keys(this._finalKeyframe).forEach(function(prop){"offset"!=prop&&(styles[prop]=_this._finished?_this._finalKeyframe[prop]:_computeStyle(_this.element,prop))}),styles},WebAnimationsPlayer}(),WebAnimationsDriver=function(){function WebAnimationsDriver(){}return WebAnimationsDriver.prototype.animate=function(element,keyframes,duration,delay,easing,previousPlayers){void 0===previousPlayers&&(previousPlayers=[]);var playerOptions={duration:duration,delay:delay,fill:"forwards"};easing&&(playerOptions.easing=easing);var previousWebAnimationPlayers=previousPlayers.filter(function(player){return player instanceof WebAnimationsPlayer});return new WebAnimationsPlayer(element,keyframes,playerOptions,previousWebAnimationPlayers)},WebAnimationsDriver}(),AnimationModule=function(){function AnimationModule(){}return AnimationModule}();AnimationModule.decorators=[{type:_angular_core.NgModule,args:[{providers:[{provide:AnimationDriver,useFactory:resolveDefaultAnimationDriver},{provide:AnimationStyleNormalizer,useClass:WebAnimationsStyleNormalizer},{provide:TransitionEngine,useClass:DomAnimationTransitionEngine}]}]}],AnimationModule.ctorParameters=function(){return[]};var ONE_SECOND=1e3,AUTO_STYLE$1="*",AnimationTimelineContext=function(){function AnimationTimelineContext(errors,timelines,initialTimeline){void 0===initialTimeline&&(initialTimeline=null),this.errors=errors,this.timelines=timelines,this.previousNode={},this.subContextCount=0,this.currentTimeline=initialTimeline||new TimelineBuilder(0),timelines.push(this.currentTimeline)}return AnimationTimelineContext.prototype.createSubContext=function(){var context=new AnimationTimelineContext(this.errors,this.timelines,this.currentTimeline.fork());return context.previousNode=this.previousNode,context.currentAnimateTimings=this.currentAnimateTimings,this.subContextCount++,context},AnimationTimelineContext.prototype.transformIntoNewTimeline=function(newTime){return void 0===newTime&&(newTime=0),this.currentTimeline=this.currentTimeline.fork(newTime),this.timelines.push(this.currentTimeline),this.currentTimeline},AnimationTimelineContext.prototype.incrementTime=function(time){this.currentTimeline.forwardTime(this.currentTimeline.duration+time)},AnimationTimelineContext}(),AnimationTimelineVisitor=function(){function AnimationTimelineVisitor(){}return AnimationTimelineVisitor.prototype.buildKeyframes=function(ast,startingStyles,finalStyles){var context=new AnimationTimelineContext([],[]);context.currentTimeline.setStyles(startingStyles),visitAnimationNode(this,ast,context);var normalizedFinalStyles=copyStyles(finalStyles,!0);0==Object.keys(context.currentTimeline.getFinalKeyframe()).length&&context.currentTimeline.properties.forEach(function(prop){var val=normalizedFinalStyles[prop];null==val&&(normalizedFinalStyles[prop]=AUTO_STYLE$1)}),context.currentTimeline.setStyles(normalizedFinalStyles);var timelineInstructions=[];return context.timelines.forEach(function(timeline){timeline.hasStyling()&&timelineInstructions.push(timeline.buildKeyframes())}),0==timelineInstructions.length&&timelineInstructions.push(createTimelineInstruction([],0,0,"")),timelineInstructions},AnimationTimelineVisitor.prototype.visitState=function(ast,context){},AnimationTimelineVisitor.prototype.visitTransition=function(ast,context){},AnimationTimelineVisitor.prototype.visitSequence=function(ast,context){var _this=this,subContextCount=context.subContextCount;6==context.previousNode.type&&(context.currentTimeline.forwardFrame(),context.currentTimeline.snapshotCurrentStyles()),ast.steps.forEach(function(s){return visitAnimationNode(_this,s,context)}),context.subContextCount>subContextCount&&context.transformIntoNewTimeline(),context.previousNode=ast},AnimationTimelineVisitor.prototype.visitGroup=function(ast,context){var _this=this,innerTimelines=[],furthestTime=context.currentTimeline.currentTime;ast.steps.forEach(function(s){var innerContext=context.createSubContext();visitAnimationNode(_this,s,innerContext),furthestTime=Math.max(furthestTime,innerContext.currentTimeline.currentTime),innerTimelines.push(innerContext.currentTimeline)}),innerTimelines.forEach(function(timeline){return context.currentTimeline.mergeTimelineCollectedStyles(timeline)}),context.transformIntoNewTimeline(furthestTime),context.previousNode=ast},AnimationTimelineVisitor.prototype.visitAnimate=function(ast,context){var timings=ast.timings.hasOwnProperty("duration")?ast.timings:parseTimeExpression(ast.timings,context.errors);context.currentAnimateTimings=timings,timings.delay&&(context.incrementTime(timings.delay),context.currentTimeline.snapshotCurrentStyles());var astType=ast.styles?ast.styles.type:-1;5==astType?this.visitKeyframeSequence(ast.styles,context):(context.incrementTime(timings.duration),6==astType&&this.visitStyle(ast.styles,context)),context.currentAnimateTimings=null,context.previousNode=ast},AnimationTimelineVisitor.prototype.visitStyle=function(ast,context){context.currentAnimateTimings||4!=context.previousNode.type||context.currentTimeline.forwardFrame();var normalizedStyles=normalizeStyles(new _angular_core.AnimationStyles(ast.styles)),easing=context.currentAnimateTimings&&context.currentAnimateTimings.easing;easing&&(normalizedStyles.easing=easing),context.currentTimeline.setStyles(normalizedStyles),context.previousNode=ast},AnimationTimelineVisitor.prototype.visitKeyframeSequence=function(ast,context){var MAX_KEYFRAME_OFFSET=1,limit=ast.steps.length-1,firstKeyframe=ast.steps[0],offsetGap=0,containsOffsets=firstKeyframe.styles.find(function(styles){return styles.offset>=0});containsOffsets||(offsetGap=MAX_KEYFRAME_OFFSET/limit);var startTime=context.currentTimeline.duration,duration=context.currentAnimateTimings.duration,innerContext=context.createSubContext(),innerTimeline=innerContext.currentTimeline;innerTimeline.easing=context.currentAnimateTimings.easing,ast.steps.forEach(function(step,i){var normalizedStyles=normalizeStyles(new _angular_core.AnimationStyles(step.styles)),offset=containsOffsets?normalizedStyles.offset:i==limit?MAX_KEYFRAME_OFFSET:i*offsetGap;innerTimeline.forwardTime(offset*duration),innerTimeline.setStyles(normalizedStyles)}),context.currentTimeline.mergeTimelineCollectedStyles(innerTimeline),context.transformIntoNewTimeline(startTime+duration),context.previousNode=ast},AnimationTimelineVisitor}(),TimelineBuilder=function(){function TimelineBuilder(startTime,_globalTimelineStyles){void 0===_globalTimelineStyles&&(_globalTimelineStyles=null),this.startTime=startTime,this._globalTimelineStyles=_globalTimelineStyles,this.duration=0,this.easing="",this._keyframes=new Map,this._styleSummary={},this._backFill={},this._localTimelineStyles=Object.create(this._backFill,{}),this._globalTimelineStyles||(this._globalTimelineStyles=this._localTimelineStyles),this._loadKeyframe()}return TimelineBuilder.prototype.hasStyling=function(){return this._keyframes.size>1},Object.defineProperty(TimelineBuilder.prototype,"currentTime",{get:function(){return this.startTime+this.duration},enumerable:!0,configurable:!0}),TimelineBuilder.prototype.fork=function(currentTime){return void 0===currentTime&&(currentTime=0),new TimelineBuilder(currentTime||this.currentTime,this._globalTimelineStyles)},TimelineBuilder.prototype._loadKeyframe=function(){this._currentKeyframe=this._keyframes.get(this.duration),this._currentKeyframe||(this._currentKeyframe=Object.create(this._backFill,{}),this._keyframes.set(this.duration,this._currentKeyframe))},TimelineBuilder.prototype.forwardFrame=function(){this.duration++,this._loadKeyframe()},TimelineBuilder.prototype.forwardTime=function(time){this.duration=time,this._loadKeyframe()},TimelineBuilder.prototype._updateStyle=function(prop,value){"easing"!=prop&&(this._localTimelineStyles[prop]=value,this._globalTimelineStyles[prop]=value,this._styleSummary[prop]={time:this.currentTime,value:value})},TimelineBuilder.prototype.setStyles=function(styles){var _this=this;Object.keys(styles).forEach(function(prop){if("offset"!==prop){var val=styles[prop];_this._currentKeyframe[prop]=val,"easing"===prop||_this._localTimelineStyles[prop]||(_this._backFill[prop]=_this._globalTimelineStyles[prop]||AUTO_STYLE$1),_this._updateStyle(prop,val)}}),Object.keys(this._localTimelineStyles).forEach(function(prop){_this._currentKeyframe.hasOwnProperty(prop)||(_this._currentKeyframe[prop]=_this._localTimelineStyles[prop])})},TimelineBuilder.prototype.snapshotCurrentStyles=function(){copyStyles(this._localTimelineStyles,!1,this._currentKeyframe)},TimelineBuilder.prototype.getFinalKeyframe=function(){return this._keyframes.get(this.duration)},Object.defineProperty(TimelineBuilder.prototype,"properties",{get:function(){var properties=[];for(var prop in this._currentKeyframe)properties.push(prop);return properties},enumerable:!0,configurable:!0}),TimelineBuilder.prototype.mergeTimelineCollectedStyles=function(timeline){var _this=this;Object.keys(timeline._styleSummary).forEach(function(prop){var details0=_this._styleSummary[prop],details1=timeline._styleSummary[prop];(!details0||details1.time>details0.time)&&_this._updateStyle(prop,details1.value)})},TimelineBuilder.prototype.buildKeyframes=function(){var _this=this,finalKeyframes=[];if(0==this.duration){var targetKeyframe=this.getFinalKeyframe(),firstKeyframe=copyStyles(targetKeyframe,!0);firstKeyframe.offset=0,finalKeyframes.push(firstKeyframe);var lastKeyframe=copyStyles(targetKeyframe,!0);lastKeyframe.offset=1,finalKeyframes.push(lastKeyframe)}else this._keyframes.forEach(function(keyframe,time){var finalKeyframe=copyStyles(keyframe,!0);finalKeyframe.offset=time/_this.duration,finalKeyframes.push(finalKeyframe)});return createTimelineInstruction(finalKeyframes,this.duration,this.startTime,this.easing)},TimelineBuilder}(),AnimationValidatorVisitor=function(){function AnimationValidatorVisitor(){}return AnimationValidatorVisitor.prototype.validate=function(ast){var context=new AnimationValidatorContext;return visitAnimationNode(this,ast,context),context.errors},AnimationValidatorVisitor.prototype.visitState=function(ast,context){},AnimationValidatorVisitor.prototype.visitTransition=function(ast,context){},AnimationValidatorVisitor.prototype.visitSequence=function(ast,context){var _this=this;ast.steps.forEach(function(step){return visitAnimationNode(_this,step,context)})},AnimationValidatorVisitor.prototype.visitGroup=function(ast,context){var _this=this,currentTime=context.currentTime,furthestTime=0;ast.steps.forEach(function(step){context.currentTime=currentTime,visitAnimationNode(_this,step,context),furthestTime=Math.max(furthestTime,context.currentTime)}),context.currentTime=furthestTime},AnimationValidatorVisitor.prototype.visitAnimate=function(ast,context){context.currentAnimateTimings=ast.timings=parseTimeExpression(ast.timings,context.errors);var astType=ast.styles&&ast.styles.type;5==astType?this.visitKeyframeSequence(ast.styles,context):(context.currentTime+=context.currentAnimateTimings.duration+context.currentAnimateTimings.delay,6==astType&&this.visitStyle(ast.styles,context)),context.currentAnimateTimings=null},AnimationValidatorVisitor.prototype.visitStyle=function(ast,context){var styleData=normalizeStyles(new _angular_core.AnimationStyles(ast.styles)),timings=context.currentAnimateTimings,endTime=context.currentTime,startTime=context.currentTime;timings&&startTime>0&&(startTime-=timings.duration+timings.delay),Object.keys(styleData).forEach(function(prop){var collectedEntry=context.collectedStyles[prop],updateCollectedStyle=!0;collectedEntry&&(startTime!=endTime&&startTime>=collectedEntry.startTime&&endTime<=collectedEntry.endTime&&(context.errors.push('The CSS property "'+prop+'" that exists between the times of "'+collectedEntry.startTime+'ms" and "'+collectedEntry.endTime+'ms" is also being animated in a parallel animation between the times of "'+startTime+'ms" and "'+endTime+'ms"'),updateCollectedStyle=!1),startTime=collectedEntry.startTime),updateCollectedStyle&&(context.collectedStyles[prop]={startTime:startTime,endTime:endTime})})},AnimationValidatorVisitor.prototype.visitKeyframeSequence=function(ast,context){var _this=this,totalKeyframesWithOffsets=0,offsets=[],offsetsOutOfOrder=!1,keyframesOutOfRange=!1,previousOffset=0;ast.steps.forEach(function(step){var styleData=normalizeStyles(new _angular_core.AnimationStyles(step.styles)),offset=0;styleData.hasOwnProperty("offset")&&(totalKeyframesWithOffsets++,offset=styleData.offset),keyframesOutOfRange=keyframesOutOfRange||offset<0||offset>1,offsetsOutOfOrder=offsetsOutOfOrder||offset<previousOffset,previousOffset=offset,offsets.push(offset)}),keyframesOutOfRange&&context.errors.push("Please ensure that all keyframe offsets are between 0 and 1"),offsetsOutOfOrder&&context.errors.push("Please ensure that all keyframe offsets are in order");var length=ast.steps.length,generatedOffset=0;totalKeyframesWithOffsets>0&&totalKeyframesWithOffsets<length?context.errors.push("Not all style() steps within the declared keyframes() contain offsets"):0==totalKeyframesWithOffsets&&(generatedOffset=1/length);var limit=length-1,currentTime=context.currentTime,animateDuration=context.currentAnimateTimings.duration;ast.steps.forEach(function(step,i){var offset=generatedOffset>0?i==limit?1:generatedOffset*i:offsets[i],durationUpToThisFrame=offset*animateDuration;context.currentTime=currentTime+context.currentAnimateTimings.delay+durationUpToThisFrame,context.currentAnimateTimings.duration=durationUpToThisFrame,_this.visitStyle(step,context)})},AnimationValidatorVisitor}(),AnimationValidatorContext=function(){function AnimationValidatorContext(){this.errors=[],this.currentTime=0,this.collectedStyles={}}return AnimationValidatorContext}(),Animation=function(){function Animation(input){var ast=Array.isArray(input)?sequence(input):input,errors=validateAnimationSequence(ast);if(errors.length){var errorMessage="animation validation failed:\n"+errors.join("\n");throw new Error(errorMessage)}this._animationAst=ast}return Animation.prototype.buildTimelines=function(startingStyles,destinationStyles){var start=Array.isArray(startingStyles)?normalizeStyles(new _angular_core.AnimationStyles(startingStyles)):startingStyles,dest=Array.isArray(destinationStyles)?normalizeStyles(new _angular_core.AnimationStyles(destinationStyles)):destinationStyles;return buildAnimationKeyframes(this._animationAst,start,dest)},Animation.prototype.create=function(injector,element,startingStyles,destinationStyles){void 0===startingStyles&&(startingStyles={}),void 0===destinationStyles&&(destinationStyles={});var instructions=this.buildTimelines(startingStyles,destinationStyles),driver=injector.get(AnimationDriver),normalizer=injector.get(AnimationStyleNormalizer),engine=new DomAnimationTransitionEngine(driver,normalizer);return engine.process(element,instructions)},Animation}(),ANY_STATE="*",AnimationTransitionFactory=function(){function AnimationTransitionFactory(_triggerName,ast,matchFns,_stateStyles){this._triggerName=_triggerName,this.matchFns=matchFns,this._stateStyles=_stateStyles,this._animationAst=ast.animation}return AnimationTransitionFactory.prototype.match=function(currentState,nextState){if(oneOrMoreTransitionsMatch(this.matchFns,currentState,nextState)){var backupStateStyles=this._stateStyles["*"]||{},currentStateStyles=this._stateStyles[currentState]||backupStateStyles,nextStateStyles=this._stateStyles[nextState]||backupStateStyles,timelines=buildAnimationKeyframes(this._animationAst,currentStateStyles,nextStateStyles);return createTransitionInstruction(this._triggerName,"void"===nextState,currentStateStyles,nextStateStyles,timelines)}},AnimationTransitionFactory}(),AnimationTrigger=function(){function AnimationTrigger(name,states,_transitionAsts){var _this=this;this.name=name,this._transitionAsts=_transitionAsts,this.transitionFactories=[],this.states={},Object.keys(states).forEach(function(stateName){_this.states[stateName]=copyStyles(states[stateName],!1)});var errors=[];if(_transitionAsts.forEach(function(ast){var exprs=parseTransitionExpr(ast.expr,errors),sequenceErrors=validateAnimationSequence(ast);sequenceErrors.length?errors.push.apply(errors,sequenceErrors):_this.transitionFactories.push(new AnimationTransitionFactory(_this.name,ast,exprs,states))}),errors.length){var LINE_START="\n - ";throw new Error("Animation parsing for the "+name+" trigger have failed:"+LINE_START+errors.join(LINE_START))}}return AnimationTrigger.prototype.matchTransition=function(currentState,nextState){for(var i=0;i<this.transitionFactories.length;i++){var result=this.transitionFactories[i].match(currentState,nextState);if(result)return result}return null},AnimationTrigger}(),AnimationTriggerContext=function(){function AnimationTriggerContext(){this.errors=[],this.states={},this.transitions=[]}return AnimationTriggerContext}(),AnimationTriggerVisitor=function(){function AnimationTriggerVisitor(){}return AnimationTriggerVisitor.prototype.buildTrigger=function(name,definitions){var _this=this,context=new AnimationTriggerContext;return definitions.forEach(function(def){return visitAnimationNode(_this,def,context)}),new AnimationTrigger(name,context.states,context.transitions)},AnimationTriggerVisitor.prototype.visitState=function(ast,context){context.states[ast.name]=normalizeStyles(new _angular_core.AnimationStyles(ast.styles.styles))},AnimationTriggerVisitor.prototype.visitTransition=function(ast,context){context.transitions.push(ast)},AnimationTriggerVisitor.prototype.visitSequence=function(ast,context){},AnimationTriggerVisitor.prototype.visitGroup=function(ast,context){},AnimationTriggerVisitor.prototype.visitAnimate=function(ast,context){},AnimationTriggerVisitor.prototype.visitStyle=function(ast,context){},AnimationTriggerVisitor.prototype.visitKeyframeSequence=function(ast,context){},AnimationTriggerVisitor}();exports.AnimationModule=AnimationModule,exports.Animation=Animation,exports.AUTO_STYLE=AUTO_STYLE$1,exports.animate=animate,exports.group=group,exports.keyframes=keyframes,exports.sequence=sequence,exports.state=state,exports.style=style,exports.transition=transition,exports.AnimationTrigger=AnimationTrigger,exports.trigger=trigger,exports.ɵa=resolveDefaultAnimationDriver,exports.ɵd=AnimationStyleNormalizer,exports.ɵe=WebAnimationsStyleNormalizer,exports.ɵc=AnimationDriver,exports.ɵg=DomAnimationTransitionEngine,exports.ɵf=TransitionEngine});